Debian Bug report logs - #474452
ganeti: needs Xen to work

version graph

Package: ganeti; Maintainer for ganeti is Debian Ganeti Team <pkg-ganeti-devel@lists.alioth.debian.org>; Source for ganeti is src:ganeti.

Reported by: Amaya <amaya@debian.org>

Date: Sat, 5 Apr 2008 18:48:01 UTC

Severity: serious

Tags: confirmed

Found in version ganeti/1.2.3-2

Fixed in version ganeti/1.2.6-2

Done: Iustin Pop <iusty@k1024.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Ganeti Team <pkg-ganeti-devel@lists.alioth.debian.org>:
Bug#474452; Package ganeti. Full text and rfc822 format available.

Acknowledgement sent to Amaya <amaya@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Ganeti Team <pkg-ganeti-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Amaya <amaya@debian.org>
To: submit@bugs.debian.org
Subject: ganeti: recommends packages not in main
Date: Sat, 5 Apr 2008 20:49:00 +0200
[Message part 1 (text/plain, inline)]
Package: ganeti
Version: 1.2.3-2
Severity: important
User: debian-release@lists.debian.org
Usertags: goal-recommends
Tags: patch

Hi,

ganeti recommends xen-linux-system*, which is no longer available in unstable.

This bug is RC, hence the severity, according to the following Release Goal for
Lenny:

  # No unmet recommends relations inside main
  Advocate: Luk Claes
  Description: Packages in main should be able to satisfy all recommend
               relations in main.
  Bug-User: debian-release@lists.debian.org
  Bug-Tag: goal-recommends

Attached is the a patch with a suggestion on how to fix this bug, but of
course, as the package maintainer you might know better.

Thanks for your contribution to debian, and... Happy hacking!


-- 
  ·''`.               Fuck your fascist beauty standards
 : :' :
 `. `' 
   `-        Proudly running (unstable) Debian GNU/Linux
[ganeti-1.2.3-3.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Ganeti Team <pkg-ganeti-devel@lists.alioth.debian.org>:
Bug#474452; Package ganeti. Full text and rfc822 format available.

Acknowledgement sent to Iustin Pop <iusty@k1024.org>:
Extra info received and forwarded to list. Copy sent to Debian Ganeti Team <pkg-ganeti-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 474452@bugs.debian.org (full text, mbox):

From: Iustin Pop <iusty@k1024.org>
To: Amaya <amaya@debian.org>, 474452@bugs.debian.org
Cc: pkg-ganeti-devel@lists.alioth.debian.org
Subject: Re: [Pkg-ganeti-devel] Bug#474452: ganeti: recommends packages not in main
Date: Sun, 6 Apr 2008 12:11:22 +0200
On Sat, Apr 05, 2008 at 08:49:00PM +0200, Amaya wrote:
> Package: ganeti
> Version: 1.2.3-2
> Severity: important
> User: debian-release@lists.debian.org
> Usertags: goal-recommends
> Tags: patch
> 
> Hi,
> 
> ganeti recommends xen-linux-system*, which is no longer available in unstable.
> 
> This bug is RC, hence the severity, according to the following Release Goal for
> Lenny:
> 
>   # No unmet recommends relations inside main
>   Advocate: Luk Claes
>   Description: Packages in main should be able to satisfy all recommend
>                relations in main.
>   Bug-User: debian-release@lists.debian.org
>   Bug-Tag: goal-recommends
> 
> Attached is the a patch with a suggestion on how to fix this bug, but of
> course, as the package maintainer you might know better.

Hi,

Unfortunately, today ganeti needs xen to work, as other hypervisors are
not yet implemented.

Without xen, I don't think it makes sense to have ganeti unless we
expect the user to install his own xen kernel/tools. Do you think this
would be a reasonable expectation? (together with README.debian notes,
changes to the long description, etc. so that the users know what they
need to do).

thanks,
iustin




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Ganeti Team <pkg-ganeti-devel@lists.alioth.debian.org>:
Bug#474452; Package ganeti. Full text and rfc822 format available.

Acknowledgement sent to Amaya <amaya@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Ganeti Team <pkg-ganeti-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 474452@bugs.debian.org (full text, mbox):

From: Amaya <amaya@debian.org>
To: Iustin Pop <iusty@k1024.org>
Cc: 474452@bugs.debian.org, pkg-ganeti-devel@lists.alioth.debian.org
Subject: Re: [Pkg-ganeti-devel] Bug#474452: ganeti: recommends packages not in main
Date: Sun, 6 Apr 2008 17:01:43 +0200
Iustin Pop wrote:
> Unfortunately, today ganeti needs xen to work, as other hypervisors
> are not yet implemented.

I somehow expected that.

> Without xen, I don't think it makes sense to have ganeti unless we
> expect the user to install his own xen kernel/tools. Do you think this
> would be a reasonable expectation? (together with README.debian notes,
> changes to the long description, etc. so that the users know what they
> need to do).

What is the status of xen in unstable? Do you think it can be shipped
with lenny for the release at all? I am sorry, I am not familiar with
the xen status.


-- 
  ·''`.               Fuck your fascist beauty standards
 : :' :
 `. `' 
   `-        Proudly running (unstable) Debian GNU/Linux




Severity set to `serious' from `important' Request was from Iustin Pop <iusty@k1024.org> to control@bugs.debian.org. (Mon, 23 Jun 2008 21:06:26 GMT) Full text and rfc822 format available.

Tags added: confirmed Request was from Iustin Pop <iusty@k1024.org> to control@bugs.debian.org. (Mon, 23 Jun 2008 21:06:27 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Ganeti Team <pkg-ganeti-devel@lists.alioth.debian.org>:
Bug#474452; Package ganeti. Full text and rfc822 format available.

Acknowledgement sent to Iustin Pop <iusty@k1024.org>:
Extra info received and forwarded to list. Copy sent to Debian Ganeti Team <pkg-ganeti-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #24 received at 474452@bugs.debian.org (full text, mbox):

From: Iustin Pop <iusty@k1024.org>
To: Amaya <amaya@debian.org>, 474452@bugs.debian.org
Cc: pkg-ganeti-devel@lists.alioth.debian.org
Subject: Re: Bug#474452: [Pkg-ganeti-devel] Bug#474452: ganeti: recommends packages not in main
Date: Mon, 23 Jun 2008 23:31:48 +0200
On Sun, Apr 06, 2008 at 05:01:43PM +0200, Amaya wrote:
> Iustin Pop wrote:
> > Unfortunately, today ganeti needs xen to work, as other hypervisors
> > are not yet implemented.
> 
> I somehow expected that.
> 
> > Without xen, I don't think it makes sense to have ganeti unless we
> > expect the user to install his own xen kernel/tools. Do you think this
> > would be a reasonable expectation? (together with README.debian notes,
> > changes to the long description, etc. so that the users know what they
> > need to do).
> 
> What is the status of xen in unstable? Do you think it can be shipped
> with lenny for the release at all? I am sorry, I am not familiar with
> the xen status.

I think not, so due to this bug and the newly-opened #487752 one, I
don't think ganeti should stay in testing (and be released in lenny).

Once the new 2.0 version is released that will hopefully work with other
hypervisors, we can think again about including it.

thanks,
iustin




Tags removed: patch Request was from Iustin Pop <iusty@k1024.org> to control@bugs.debian.org. (Mon, 23 Jun 2008 21:42:02 GMT) Full text and rfc822 format available.

Changed Bug title to `ganeti: needs Xen to work' from `ganeti: recommends packages not in main'. Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. (Sat, 05 Jul 2008 15:27:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Ganeti Team <pkg-ganeti-devel@lists.alioth.debian.org>:
Bug#474452; Package ganeti. (Tue, 09 Dec 2008 15:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Henning Sprang <henning@sprang.de>:
Extra info received and forwarded to list. Copy sent to Debian Ganeti Team <pkg-ganeti-devel@lists.alioth.debian.org>. (Tue, 09 Dec 2008 15:09:03 GMT) Full text and rfc822 format available.

Message #33 received at 474452@bugs.debian.org (full text, mbox):

From: Henning Sprang <henning@sprang.de>
To: 474452@bugs.debian.org
Subject: xen-linux-system available
Date: Tue, 09 Dec 2008 16:06:11 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

In the meantime, there is a xen-linux-system package in testing as well
in unstable!

Please let this package into testing...

Henning
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD4DBQFJPoljOzXGJHJLmQIRAuQeAJ4yF4Ri/pQEAaIB0/tAkkQFXO8gQwCXZD0K
xSQuUdLfHcAFQSTAf9W36w==
=CrUS
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Ganeti Team <pkg-ganeti-devel@lists.alioth.debian.org>:
Bug#474452; Package ganeti. (Tue, 09 Dec 2008 18:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Iustin Pop <iusty@k1024.org>:
Extra info received and forwarded to list. Copy sent to Debian Ganeti Team <pkg-ganeti-devel@lists.alioth.debian.org>. (Tue, 09 Dec 2008 18:57:02 GMT) Full text and rfc822 format available.

Message #38 received at 474452@bugs.debian.org (full text, mbox):

From: Iustin Pop <iusty@k1024.org>
To: Henning Sprang <henning@sprang.de>, 474452@bugs.debian.org
Subject: Re: Bug#474452: xen-linux-system available
Date: Tue, 9 Dec 2008 19:51:52 +0100
On Tue, Dec 09, 2008 at 04:06:11PM +0100, Henning Sprang wrote:
> In the meantime, there is a xen-linux-system package in testing as well
> in unstable!
> 
> Please let this package into testing...

FYI, I've contacted debian-release@ and asked if we can get back into testing.
Let's see how it goes.

thanks,
iustin




Reply sent to Iustin Pop <iusty@k1024.org>:
You have taken responsibility. (Wed, 10 Dec 2008 10:50:42 GMT) Full text and rfc822 format available.

Notification sent to Amaya <amaya@debian.org>:
Bug acknowledged by developer. (Wed, 10 Dec 2008 10:51:23 GMT) Full text and rfc822 format available.

Message #43 received at 474452-close@bugs.debian.org (full text, mbox):

From: Iustin Pop <iusty@k1024.org>
To: 474452-close@bugs.debian.org
Subject: Bug#474452: fixed in ganeti 1.2.6-2
Date: Wed, 10 Dec 2008 10:32:14 +0000
Source: ganeti
Source-Version: 1.2.6-2

We believe that the bug you reported is fixed in the latest version of
ganeti, which is due to be installed in the Debian FTP archive:

ganeti_1.2.6-2.diff.gz
  to pool/main/g/ganeti/ganeti_1.2.6-2.diff.gz
ganeti_1.2.6-2.dsc
  to pool/main/g/ganeti/ganeti_1.2.6-2.dsc
ganeti_1.2.6-2_all.deb
  to pool/main/g/ganeti/ganeti_1.2.6-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 474452@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Iustin Pop <iusty@k1024.org> (supplier of updated ganeti package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 10 Dec 2008 09:47:27 +0100
Source: ganeti
Binary: ganeti
Architecture: source all
Version: 1.2.6-2
Distribution: unstable
Urgency: low
Maintainer: Iustin Pop <iusty@k1024.org>
Changed-By: Iustin Pop <iusty@k1024.org>
Description: 
 ganeti     - Cluster-based virtualization management software
Closes: 474452
Changes: 
 ganeti (1.2.6-2) unstable; urgency=low
 .
   * Update recommends for the current packages in unstable and
     testing (Closes: #474452)
Checksums-Sha1: 
 fc43b2176b8fa8307d184612fe090c893da84601 1414 ganeti_1.2.6-2.dsc
 0454ffcb5344ba08b50ab8c5270ca9da89c371da 843282 ganeti_1.2.6.orig.tar.gz
 7cf4897bb47aa00b4f5f645997b577063e32e051 3601 ganeti_1.2.6-2.diff.gz
 cc8c0467a1beab22d9c8a33e743030c4ea713051 697188 ganeti_1.2.6-2_all.deb
Checksums-Sha256: 
 cdaa7747e7107eed2f0591ecc42bd5f4bbf92491787549ff22457dfce9fb222b 1414 ganeti_1.2.6-2.dsc
 1dfe9e0f64e4f61263d439365678fc6720f9e433b1913c4d128d5b0826a83ce8 843282 ganeti_1.2.6.orig.tar.gz
 73033207f4266f6ecbe3cff52fadcaab9e7a74f833327635f4a98ca2b4e4bfa5 3601 ganeti_1.2.6-2.diff.gz
 a087e62cc0e4658738b89dba0e99c2e6dce81ae43fa1c6a363680d8480cb9197 697188 ganeti_1.2.6-2_all.deb
Files: 
 2bffba9402584ff77c60810f865f81d8 1414 admin extra ganeti_1.2.6-2.dsc
 ccc54866e02be044987027a827b1be03 843282 admin extra ganeti_1.2.6.orig.tar.gz
 58601e249409837062ea4dfacb143eab 3601 admin extra ganeti_1.2.6-2.diff.gz
 211e6082362c2fa295cb3c8495c45ab8 697188 admin extra ganeti_1.2.6-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkk/hpsACgkQ4mx23Z34NMKvqACgjWwriCtkigWrlBcqb7MAG2dA
AqcAnjn0+5lheN82Rmt3frXLpLY1xaf/
=lbql
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 19 Jan 2009 07:29:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:12:54 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.